openapi: 3.0.2
info:
  title: DnDex
  description: "DnD indexing, pronounced dee-en-dex. UI via http://ui.dndex.lan:8080/, API via http://api.dndex.lan:8080/"
  version: 0.0.1

servers:
- url: http://api.dndex.lan:8080/

paths:
  /who:
    $ref: "./swagger-who.yaml#/paths"
  /register:
    $ref: "./swagger-register.yaml#/paths"
  /__files__/{path}:
    $ref: "./swagger-files.yaml#/paths"

components:
  parameters:
    namespace:
      name: namespace
      in: query
      required: true
      description: "An authorized universe"
      schema:
        type: string

    path:
      name: path
      in: path
      required: true
      schema:
        type: string

  schemas:
    ok:
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: "ok"
